package com.frist008.nixlibrary;

import android.net.Uri;
import android.support.annotation.NonNull;
import android.support.annotation.Nullable;
import android.support.v4.app.Fragment;
import android.support.v4.app.FragmentActivity;
import android.support.v7.widget.RecyclerView;

@SuppressWarnings("unused")
public class LoaderRecyclerBuilder extends NixLoaderBuilder {

	LoaderRecyclerBuilder(@NonNull FragmentActivity activity,
	                      @Nullable Fragment fragment, @NonNull Uri uri) {
		super(activity, fragment, uri);
	}

	@SuppressWarnings("unchecked")
	public NixCursorLoader<RecyclerView> register(@NonNull RecyclerView recyclerView,
	                                              int loaderId) {
		return new CursorRecyclerLoader(fragment,
		                                activity,
		                                recyclerView,
		                                loaderId,
		                                listenerBefore,
		                                listenerAfter,
		                                selectListener,
		                                uri,
		                                projection,
		                                sort,
		                                select,
		                                args);
	}
}
